/*==========================
    GOOGLE FONT
==========================*/

@import url("https://fonts.googleapis.com/css2?family=Inter:wght@300;400;500;600;700;800&display=swap");

/*==========================
        RESET
==========================*/

*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

html{
    scroll-behavior:smooth;
}

body{
    font-family:"Inter",sans-serif;
    background:#07111d;
    color:#fff;
    overflow-x:hidden;
}

.logo{

display:flex;

align-items:center;

gap:14px;

font-size:1.2rem;

font-weight:700;

}

.logo-icon{

width:52px;

height:52px;

display:grid;

place-items:center;

border-radius:16px;

background:

linear-gradient(

135deg,

#4F7EFF,

#00D9FF);

box-shadow:

0 10px 35px rgba(0,180,255,.35);

}
.phone{

display:flex;

align-items:center;

gap:15px;

padding:14px 24px;

border-radius:18px;

background:

linear-gradient(

135deg,

#28ff88,

#00d96b);

font-weight:700;

font-size:1.05rem;

color:#04120c;

text-decoration:none;

box-shadow:

0 15px 45px rgba(0,255,120,.28);

transition:.35s;

}

.phone:hover{

transform:

translateY(-3px)

scale(1.03);

box-shadow:

0 25px 60px rgba(0,255,120,.45);

}
/*==========================
        VARIABLES
==========================*/
:root{

--primary:#4F7EFF;
--secondary:#00D9FF;
--accent:#7DE7FF;
--success:#29ff87;

--bg:#040914;
--bg2:#071422;
--bg3:#0B1E35;

--text:#ffffff;
--text-light:#B8C7DA;

--glass:rgba(255,255,255,.07);

--glass2:rgba(255,255,255,.12);

--border:rgba(255,255,255,.16);

--shadow:

0 40px 120px rgba(0,0,0,.45);

}

/*==========================
        HERO
==========================*/

.hero{

    position:relative;

    min-height:100vh;

    display:flex;
    align-items:center;

    overflow:hidden;

    padding:110px 24px;

    background:
    radial-gradient(circle at top left,#0f5cff25,transparent 40%),
    radial-gradient(circle at bottom right,#00d4ff20,transparent 45%),
    linear-gradient(140deg,#06111f,#10243d,#07111d);

}

/*==========================
        BACKGROUND
==========================*/

.gradient{

    position:absolute;

    border-radius:50%;

    filter:blur(120px);

    opacity:.7;

    animation:blob 12s ease-in-out infinite;

}

.gradient-1{

    width:500px;
    height:500px;

    background:#2563eb;

    left:-120px;
    top:-150px;

}

.gradient-2{

    width:450px;
    height:450px;

    background:#00d4ff;

    right:-100px;
    bottom:-120px;

    animation-delay:4s;

}

.gradient-3{

position:absolute;

width:550px;

height:550px;

top:-180px;

left:40%;

background:#7868ff;

filter:blur(180px);

opacity:.35;

animation:blob 18s infinite ease-in-out;

}

@keyframes blob{
    0%{
        transform:
        translate(0,0)
        scale(1);
    }
    25%{
        transform:
        translate(40px,-25px)
        scale(1.08);

    }
    50%{

        transform:
        translate(-20px,40px)
        scale(1.15);
    }
    75%{

        transform:
        translate(30px,20px)
        scale(1.05);
    }
    100%{

        transform:
        translate(0,0)
        scale(1);
    }
}

/*==========================
        NOISE
==========================*/

.noise{

    position:absolute;
    inset:0;

    opacity:.05;

    pointer-events:none;

    background-image:
    radial-gradient(#ffffff 1px,transparent 1px);

    background-size:6px 6px;

}

/*==========================
        CONTAINER
==========================*/

.container{

    width:min(1200px,100%);
    margin:auto;

    display:grid;

    gap:60px;

    position:relative;
    z-index:2;

}

/*==========================
        TEXT
==========================*/

.hero-text{

    animation:fadeUp .9s ease;

}

.badge{

    display:inline-flex;

    align-items:center;

    padding:10px 18px;

    margin-bottom:28px;

    border-radius:999px;

    font-size:.88rem;

    font-weight:600;

    color:#9be5ff;

    background:rgba(255,255,255,.08);

    border:1px solid rgba(255,255,255,.14);

    backdrop-filter:blur(18px);

    box-shadow:
    inset 0 1px 0 rgba(255,255,255,.08);

}

.hero h1{

    font-size:clamp(3rem,6vw,5rem);

    line-height:.95;

    font-weight:800;

    letter-spacing:-4px;

    text-shadow:

    0 0 40px rgba(0,210,255,.08);

}

.hero h1 span{
    background:
    linear-gradient(
        90deg,
        #ffffff,
        #7CD7FF,
        #eeff00,
        #12ff0a);
    background-size:300%;
    animation:gradientText 8s linear infinite;
    -webkit-background-clip:text;
    background-clip: text;
    color:transparent;
}

@keyframes gradientText{
    to{
        background-position:300%;
    }
}

.hero p{
    color:var(--text-light);
    font-size:1.08rem;
    line-height:1.8;
    max-width:600px;
    margin-bottom:42px;
}

/*==========================
        BUTTONS
==========================*/

.buttons{

    display:flex;
    flex-wrap:wrap;
    gap:18px;

}

.btn{

    position:relative;

    display:inline-flex;

    justify-content:center;
    align-items:center;

    padding:16px 32px;

    border-radius:18px;

    font-weight:600;

    text-decoration:none;

    overflow:hidden;

    transition:.35s;

}

/*==========================
        PRIMARY
==========================*/

.btn-primary{

    color:#fff;

    background:
    linear-gradient(
    135deg,
    #3b82f6,
    #00b4ff);

    box-shadow:

    0 15px 40px rgba(0,162,255,.35),
    inset 0 1px 0 rgba(255,255,255,.2);

}

.btn-primary:hover{

    transform:
    translateY(-6px);

    box-shadow:

    0 20px 55px rgba(0,162,255,.55);

}

/*==========================
        GLASS BUTTON
==========================*/

.btn-glass{
    color:#000000;
    border:1px solid rgba(255,255,255,.15);
    backdrop-filter:blur(18px);
    background-color:rgba(58, 248, 10, 0.927);
    font-size: 1.4rem;

}

.hero-card{

    position:relative;

    padding:34px;

    border-radius:32px;

    overflow:hidden;

    background:rgba(255,255,255,.08);

    backdrop-filter:blur(30px);

    border:1px solid rgba(255,255,255,.15);

    box-shadow:

    0 25px 80px rgba(0,0,0,.35),

    inset 0 1px 0 rgba(255,255,255,.1);

    transition:

    transform .35s ease;

}

/*==========================
        SHINE
==========================*/

.shine{

    position:absolute;
    inset:0;

    background:

    linear-gradient(
    120deg,

    transparent 39%,

    rgba(255,255,255,.26),

    transparent 70%);

    transform:translateX(-120%);

    animation:shine 5s linear infinite;

}

@keyframes shine{

    to{

        transform:translateX(120%);

    }

}

/*==========================
        ICON
==========================*/

.icon{

    width:90px;
    height:90px;

    display:grid;
    place-items:center;

    border-radius:24px;

    font-size:2.6rem;

    margin-bottom:26px;

    background:

    linear-gradient(
    135deg,
    #3b82f6,
    #00d4ff);

    box-shadow:

    0 15px 35px rgba(0,162,255,.4);

    animation:

    floating 4s ease-in-out infinite;

}

@keyframes floating{

    50%{

        transform:
        translateY(-12px);

    }

}

.hero-card h3{
    font-size:1.7rem;
    margin-bottom:26px;
}

.feature{

    background:

    rgba(255,255,255,.04);

    border:1px solid rgba(255,255,255,.08);

    transition:

    .35s ease;

}

.feature:hover{

    transform:

    translateX(10px)
    scale(1.02);

    border-color:#4F7EFF;

    background:

    rgba(255,255,255,.08);

}


.feature span{
    width:50px;
    height:50px;
    display:grid;
    place-items:center;
    border-radius:16px;
    font-size:1.2rem;
    background:
    linear-gradient(
    135deg,
    #3b82f6,
    #00d4ff);
}

.feature p{
    margin:0;
    color:#fff;
}

@keyframes fadeUp{
    from{
        opacity:0;
        transform:
        translateY(60px);
    }
    to{
        opacity:1;
        transform:none;
    }
}

@media(min-width:900px){
.container{
    grid-template-columns:
    1.1fr
    .9fr;
    align-items:center;

}

.hero{
    padding-inline:60px;
}
}



.header.scrolled{

padding:10px 18px;

background:rgba(6,18,34,.82);

backdrop-filter:blur(40px);

box-shadow:

0 30px 70px rgba(0,0,0,.5);

}


